Bug Hunting Session
Bug 104775 - FILEOPEN: user defined formatting code not applied at opening of file (xlsx, changed in LO)
Summary: FILEOPEN: user defined formatting code not applied at opening of file (xlsx, ...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-12-19 09:35 UTC by Cor Nouws
Modified: 2019-01-15 10:05 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
test file with user defined date format (14.91 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-12-19 09:37 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2016-12-19 09:35:21 UTC
I'll attach a test file, that has a date in A9 and cells A10-A12 have a formula and should have a user defined format: D/MM/JJJJ;@

When you open the file in 4.4.7.2, the user defined format is applied.
When you open the file in daily20161215 or 5.1.6.2, the user defined format is not applied and bare numbers are displayed.
Opens OK in 5.0.6.2.

The file origins from Excel and has been changed in an older LibreOffice version.
Comment 1 Cor Nouws 2016-12-19 09:37:03 UTC
Created attachment 129771 [details]
test file with user defined date format
Comment 2 Telesto 2016-12-19 10:40:35 UTC
Confirming with:
Version: 5.4.0.0.alpha0+
Build ID: 53edf60c4ce6ed32f87471e018878c40b788005a
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-18_06:57:59
Locale: nl-NL (nl_NL); Calc: CL
Comment 3 raal 2016-12-19 17:07:20 UTC
This seems to have begun at the below commit.
Adding Cc: to Eike Rathke ; Could you possibly take a look at this one? Thanks

author	Eike Rathke <erack@redhat.com>	2015-07-10 13:07:59 (GMT)
committer	Eike Rathke <erack@redhat.com>	2015-07-10 13:11:32 (GMT)
commit	f7f4d985ad44ba0c644b2be02d09002b13d749f7 (patch)
tree	ad29b7c4d1760bf2a2f65be0c188265244776090
parent	12d1a2a08a8056df2c14ad3e75b309847989bc23 (diff)
Resolves: tdf#92457 handle trailing text subformat if others omitted

d422fed27bcbe6e310c6feec54d2aa8feac9438f is the first bad commit
commit d422fed27bcbe6e310c6feec54d2aa8feac9438f
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Mon Jul 27 05:50:21 2015 -0700

    source sha:f7f4d985ad44ba0c644b2be02d09002b13d749f7

 git bisect log
# bad: [05d11632892a322664fb52bac90b2598b7fb7544] source sha:5616d22b57a9a5e57d545e912e029162a230829b
# good: [c1efd324c6ad448ac9edb030dc9738b9e6899e4d] source sha:ab465b90f6c6da5595393a0ba73f33a1e71a2b65
git bisect start 'origin/master' 'oldest'
# bad: [97526ab777da7e58ce283c05498262ecdd4d6f7f] source sha:4ea70f87f7a2b61eda6e5ab1f48debf6fcfadc1f
git bisect bad 97526ab777da7e58ce283c05498262ecdd4d6f7f
# good: [2202cdaa0eae3f646f1285a0ea45934edeb26e8a] source sha:a88bf8fd10c42a15e5d6e66da656889c82b4933a
git bisect good 2202cdaa0eae3f646f1285a0ea45934edeb26e8a
# bad: [13169de9868218d603d1ae26805ebf4583e7d628] source sha:6f98a0ab51cc5c860576b4ad44478b438cc5a5eb
git bisect bad 13169de9868218d603d1ae26805ebf4583e7d628
# bad: [a2e73a5257c1598c1070ec06105c1dffaef3842e] source sha:01d1165572f53ca50c626fa036343932c1e8c5db
git bisect bad a2e73a5257c1598c1070ec06105c1dffaef3842e
# bad: [86fd3c7e02672e1b346387131ea4a1d63c93bc7b] source sha:9ce5cfff0af69bfff7512b806e0e5a39ab1566f8
git bisect bad 86fd3c7e02672e1b346387131ea4a1d63c93bc7b
# bad: [df347a4b442f6231c963e7d2333053b35597ced4] source sha:be6c884feb389ec6931e1853aa421d5bccd69f12
git bisect bad df347a4b442f6231c963e7d2333053b35597ced4
# good: [4fbbe57eb46f8fcee3991ec0c46d3f9dd9bbd115] source sha:122a15f4a6c09d35db58fe3a7b943b5ea79cbe65
git bisect good 4fbbe57eb46f8fcee3991ec0c46d3f9dd9bbd115
# bad: [0bc41ee1081f32679fd4e851904df9343ea587af] source sha:ece8699f8f22f6bae137c601bc29b83b75dc3bf3
git bisect bad 0bc41ee1081f32679fd4e851904df9343ea587af
# bad: [d422fed27bcbe6e310c6feec54d2aa8feac9438f] source sha:f7f4d985ad44ba0c644b2be02d09002b13d749f7
git bisect bad d422fed27bcbe6e310c6feec54d2aa8feac9438f
# good: [a81e072c1a4aaa1cc1961baf85eebf4cc2aafe44] source sha:f06f06d50393184f1ca2e27db6167b08edc26cb3
git bisect good a81e072c1a4aaa1cc1961baf85eebf4cc2aafe44
# good: [6816a46b278d46c4895bfc3b07df52618222f229] source sha:adced867c695d621fae582b36ee0b2bdfe3b8e15
git bisect good 6816a46b278d46c4895bfc3b07df52618222f229
# good: [81e40a31501f66137a0e126119dbbab1f3c62b2c] source sha:7eef63bb2a4d14cb35201f84f38855910f468e20
git bisect good 81e40a31501f66137a0e126119dbbab1f3c62b2c
# good: [6436c1d351f308167d7b4f5388b24fa07d0c7807] source sha:12d1a2a08a8056df2c14ad3e75b309847989bc23
git bisect good 6436c1d351f308167d7b4f5388b24fa07d0c7807
# first bad commit: [d422fed27bcbe6e310c6feec54d2aa8feac9438f] source sha:f7f4d985ad44ba0c644b2be02d09002b13d749f7
Comment 4 QA Administrators 2018-01-14 03:24:33 UTC Comment hidden (obsolete)
Comment 5 Xavier Van Wijmeersch 2018-01-14 17:09:19 UTC
Can still reproduce with

Version: 5.3.7.2
Build ID: 6b8ed514a9f8b44d37a1b96673cbbdd077e24059
CPU Threads: 8; OS Version: Linux 4.14; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 5.4.4.2
Build ID: 2524958677847fb3bb44820e40380acbe820f960
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 6.1.0.0.alpha0+
Build ID: facfc2951ea9f4745edd4a6fb1cf97697f33f40a
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-01-14_00:06:11
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 6 QA Administrators 2019-01-15 03:48:47 UTC Comment hidden (obsolete)
Comment 7 Cor Nouws 2019-01-15 10:05:32 UTC
ah great :)

Works OK now in 6.1.4.2, 6.2.0.1 and 63 master.